Bug 78628 - forcing 100Mbit/s FD only works through mi-tool
forcing 100Mbit/s FD only works through mi-tool
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-26 12:44 EST by Patrick C. F. Ernzer
Modified: 2007-04-18 12:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-19 13:23:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2002-11-26 12:44:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020913

Description of problem:
setting 100Mbit/s FD through module options fails

Version-Release number of selected component (if applicable):
2.4.18-18.7.x (problem also existed under 2.4.7-10)

How reproducible:
Always

Steps to Reproduce:
1. service network stop
2. rmmod eepro100
3. insmod eepro100.o debug=1 options=0x200,0x200 (2 cards in system)
4. service network start
5. mii-tool
	

Actual Results:  interface is 100Mbit/s half duplex

Expected Results:  interface at 100Mbit/s full duplex

Additional info:

using mii-tool to force to 100Mbit/s FD works.

If there was a problem with the switch we're connected to, mii-tool should fail
to set 100Mbit/s FD.

Module options were taken from http://www.scyld.com/network/eepro100.html

Network cards in system are:
08:04.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev 08)
Subsystem: Compaq Computer Corporation: Unknown device b163
Flags: bus master, medium devsel, latency 64, IRQ 11
Memory at f7ff0000 (32-bit, non-prefetchable) [size=4K]
I/O ports at 4000 [size=64]
Memory at f7e00000 (32-bit, non-prefetchable) [size=1M]
Capabilities: [dc] Power Management version 2

08:05.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev 08)
Subsystem: Compaq Computer Corporation: Unknown device b163
Flags: bus master, medium devsel, latency 64, IRQ 15
Memory at f7df0000 (32-bit, non-prefetchable) [size=4K]
I/O ports at 4040 [size=64]
Memory at f7c00000 (32-bit, non-prefetchable) [size=1M]
Capabilities: [dc] Power Management version 2
Comment 1 Arjan van de Ven 2002-11-26 12:48:03 EST
forcing duplex is severly depricated
Comment 2 Patrick C. F. Ernzer 2002-11-27 06:05:56 EST
While I do know that Autonegotiation on both ends of an Ethernet connection is
the way to go and I have informed the customer that FD only brings an advantage
when there is data to and from the switch at the same time, I'd still like to
know why the module options fail (maybe as simple as using the wrong options)
while using mii-tool works.
Comment 3 Patrick C. F. Ernzer 2003-03-19 13:23:45 EST
Yes, it was the wrong options.

correct options are
alias eth0 eepro100
options eepro100 options=0x30

either brainfart on my side or error in module docs at maintainer site.

Note You need to log in before you can comment on or make changes to this bug.